3. Clusters
Prev | Chapter 7. Tulip graph format | Next

## 3. Clusters

A cluster is defined by an integer which represent the cluster id, one string which is the name of the cluster(Two clusters can have the same name). Then it is define with a list of nodes and a list of edges. To define a subcluster we use the same method. One important point is that the id zero is reserved for the root graph (thus it cannot be used).

Syntax

    (cluster id name
      (nodes id_node1 id_node2 ...)
      (edges id_edge1 id_edge2 ...)
      (cluster id name
        (nodes id_node1 id_node2 ...)
        (edges id_edge1 id_edge2 ...)
      )
    )

Sample

    (cluster 3 "cluster"
      (nodes 1 2 3 )
      (edges 2 8 )
      (cluster 4 "Sub Cluster"
        (nodes 1 2 )
        (edges 2 )
      )
    )

Prev | Up | Next
2. Edges | Home | 4. Definitions of properties